<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/white">

    <TextView
        android:id="@+id/closeButton"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_alignParentStart="true"
        android:padding="10dp"
        android:text="关闭"
        android:textColor="@color/black"
        android:textSize="@dimen/textFontSize" />

    <TextView
        android:id="@+id/clearButton"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_alignParentEnd="true"
        android:padding="10dp"
        android:text="清空"
        android:textColor="@color/black"
        android:textSize="@dimen/textFontSize" />

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:layout_below="@id/closeButton"
        android:background="@color/white"
        android:orientation="vertical">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="horizontal"
            android:paddingVertical="@dimen/padding_10dp">

            <LinearLayout
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:gravity="center"
                android:orientation="vertical">

                <TextView
                    android:id="@+id/startDateDescView"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="开始日期"
                    android:textColor="@color/textColor"
                    android:textSize="12sp" />

                <TextView
                    android:id="@+id/startDateView"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="08月14日"
                    android:textColor="@color/black"
                    android:textSize="@dimen/textFontSize" />

                <TextView
                    android:id="@+id/startWeekView"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="周二"
                    android:textColor="@color/textColor"
                    android:textSize="12sp" />

            </LinearLayout>

            <TextView
                android:id="@+id/sumTimeView"
                android:layout_width="0dp"
                android:layout_height="match_parent"
                android:layout_weight="1"
                android:gravity="center"
                android:text="共1天"
                android:textColor="@color/mainThemeColor"
                android:textSize="@dimen/textFontSize" />

            <LinearLayout
                android:id="@+id/endDateLayout"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:gravity="center"
                android:orientation="vertical">

                <TextView
                    android:id="@+id/endDateDescView"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="结束日期"
                    android:textColor="@color/textColor"
                    android:textSize="12sp" />

                <TextView
                    android:id="@+id/endDateView"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="08月17日"
                    android:textColor="@color/black"
                    android:textSize="@dimen/textFontSize" />

                <TextView
                    android:id="@+id/endWeekView"
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content"
                    android:text="周五"
                    android:textColor="@color/textColor"
                    android:textSize="12sp" />
            </LinearLayout>

            <TextView
                android:id="@+id/hintTextTextView"
                android:layout_width="0dp"
                android:layout_height="match_parent"
                android:layout_weight="1"
                android:fontFamily="sans-serif-black"
                android:gravity="center"
                android:text="结束日期"
                android:textSize="@dimen/textFontSize"
                android:visibility="gone" />
        </LinearLayout>

        <include layout="@layout/line" />

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:orientation="horizontal"
            android:paddingVertical="3dp">

            <TextView
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:gravity="center"
                android:text="日" />

            <TextView
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:gravity="center"
                android:text="一" />

            <TextView
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:gravity="center"
                android:text="二" />

            <TextView
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:gravity="center"
                android:text="三" />

            <TextView
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:gravity="center"
                android:text="四" />

            <TextView
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:gravity="center"
                android:text="五" />

            <TextView
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_weight="1"
                android:gravity="center"
                android:text="六" />
        </LinearLayout>

        <include layout="@layout/line" />

        <androidx.recyclerview.widget.RecyclerView
            android:id="@+id/dateRecyclerView"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_marginBottom="55dp" />
    </LinearLayout>

    <com.qmuiteam.qmui.widget.roundwidget.QMUIRoundButton
        android:id="@+id/selectDoneButton"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_alignParentBottom="true"
        android:layout_margin="15dp"
        android:paddingVertical="7dp"
        android:text="确定"
        android:textColor="@color/white"
        android:textSize="@dimen/titleFontSize"
        app:qmui_backgroundColor="@color/mainThemeColor"
        app:qmui_borderWidth="0dp"
        app:qmui_radius="5dp" />
</RelativeLayout>
